Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: Web Services clients/WCS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15418

Description

When trying to load WCS layers from the server, I always get the "The layer is not a valid layer and can not be added to the map"

message. Also, when selecting the layer from the list, the information is that there are 0 CRS available.

The authentication seems to work and the layer list is shown accordingly.

The server I'm using is Geoserver 2.1.3 and can be accessed here: http://geoserver-dev-1.irradiare.com:8080/geoserver/

Apparently it works with gvsig.

History

#1 - 2012-07-17 06:32 AM - Giovanni Manghi

- Category set to Web Services clients/WCS

- Operating System deleted (Ubuntu Linux)

- OS version deleted (12.04 64 bit)

I have also seen this issue using Mapserver. If I remove authentication (basic http auth) it works as expected.

#2 - 2012-07-18 06:35 AM - Rui Pedro Henriques

To clarify: the gvSIG test was without authentication. As far as I know gvSIG does not support authentication.

#3 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#4 - 2012-10-02 04:57 AM - Radim Blazek

I am not able to get it working with gvSIG-1_11-1305-final, which version of gvSIG are you using?

WCS 1.0.0 (http://geoserver-dev-1.irradiare.com:8080/geoserver/ows?service=wcs&#38;version=1.0.0&#38;request=GetCapabilities) gives error:

java.io.IOException 

null Translator error No input stream for the provided source Details:

org.geoserver.platform.ServiceException: java.io.IOException at

org.geoserver.ows.Dispatcher.exception(Dispatcher.java:1397) at 

...
I'll look also at WCS 1.1.1 but the server is currently down.

#5 - 2012-10-02 06:19 AM - Giovanni Manghi

Radim Blazek wrote:

I am not able to get it working with gvSIG-1_11-1305-final, which version of gvSIG are you using?

WCS 1.0.0 (http://geoserver-dev-1.irradiare.com:8080/geoserver/ows?service=wcs&#38;version=1.0.0&#38;request=GetCapabilities) gives error:

[...]

I'll look also at WCS 1.1.1 but the server is currently down.

Radim, in Essen I can give and hand to help debug WCS problems with QGIS or other clients.

#6 - 2012-10-02 09:16 AM - Rui Pedro Henriques

Sorry, I've setup that server only for your tests and was not monitoring it, so it went down without me noticing it. I've rebooted the machine and it's online

again.

Strangely, now I get an error requesting WCS 1.0.0 but WCS 1.1.1 response looks OK.

Unfortunately, I no longer have gvSIG installed so I don't know which version I was using. I'll try testing this again and report the version.

Meanwhile I'll try to figure out what's going on with the server.

#7 - 2012-11-20 04:50 AM - Rui Pedro Henriques

just to inform that I had to take the server offline and for now I don't have the possibility to provide a new one. If I manage to get a new one, I'll keep you

informed. Sorry.

#8 - 2013-07-01 11:07 PM - Radim Blazek

- Status changed from Open to Feedback

#9 - 2014-02-08 11:45 PM - Radim Blazek

Closing because of no feedback over 1 year. Please reopen if necessary.

#10 - 2014-02-08 11:51 PM - Radim Blazek

- Status changed from Feedback to Closed

2025-04-27 2/2

http://geoserver-dev-1.irradiare.com:8080/geoserver/ows?service=wcs&#38;version=1.0.0&#38;request=GetCapabilities

